<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: gui/dialogs/SignInDialog/SignInDialog.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_sign_in_dialog_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">SignInDialog.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#ifndef LIBRARYMGR_SIGNINDIALOG_H</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#define LIBRARYMGR_SIGNINDIALOG_H</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;QDateTime&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;QDateEdit&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;QDialog&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;QComboBox&gt;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;QGridLayout&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &lt;QLabel&gt;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &lt;QLineEdit&gt;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &lt;QMessageBox&gt;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &lt;QPushButton&gt;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="class_sign_in_dialog.html">   35</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_sign_in_dialog.html">SignInDialog</a> : <span class="keyword">public</span> QDialog {</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;Q_OBJECT</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="keyword">explicit</span> <a class="code" href="class_sign_in_dialog.html#aaf0256ac655e075b5cbe6b206b00500c">SignInDialog</a>(QDialog *parent = 0);</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_sign_in_dialog.html#a8bda7f67a50360ffa94b38b0fda0f322">show</a>();</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="keyword">public</span> slots:</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_sign_in_dialog.html#ad9c9146cbedecab272b306e4a36c28b4">signIn</a>();</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_sign_in_dialog.html#a63a8d41fe5c19b8c684f14bb5a27d9b7">getSignInRequestResult</a>(<span class="keywordtype">bool</span> signInOk);</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;signals:</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_sign_in_dialog.html#a58bb0a5765243955fef02d5ae40f0e80">sendSignInRequest</a>(QString username, QString password);</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_sign_in_dialog.html#aa2f71cae10fc7177d709e04be51c8e17">sendSignInProcessIsComplete</a>();</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="comment">// gui</span></div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    QLineEdit *emailInputLabel;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    QLineEdit *passwordInputLabel;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    QPushButton *signInButton;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    <span class="keywordtype">void</span> setup();</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;};</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="preprocessor">#endif //LIBRARYMGR_SIGNINDIALOG_H</span></div><div class="ttc" id="class_sign_in_dialog_html_a58bb0a5765243955fef02d5ae40f0e80"><div class="ttname"><a href="class_sign_in_dialog.html#a58bb0a5765243955fef02d5ae40f0e80">SignInDialog::sendSignInRequest</a></div><div class="ttdeci">void sendSignInRequest(QString username, QString password)</div></div>
<div class="ttc" id="class_sign_in_dialog_html_a63a8d41fe5c19b8c684f14bb5a27d9b7"><div class="ttname"><a href="class_sign_in_dialog.html#a63a8d41fe5c19b8c684f14bb5a27d9b7">SignInDialog::getSignInRequestResult</a></div><div class="ttdeci">void getSignInRequestResult(bool signInOk)</div><div class="ttdef"><b>Definition:</b> SignInDialog.cpp:56</div></div>
<div class="ttc" id="class_sign_in_dialog_html"><div class="ttname"><a href="class_sign_in_dialog.html">SignInDialog</a></div><div class="ttdef"><b>Definition:</b> SignInDialog.h:35</div></div>
<div class="ttc" id="class_sign_in_dialog_html_aa2f71cae10fc7177d709e04be51c8e17"><div class="ttname"><a href="class_sign_in_dialog.html#aa2f71cae10fc7177d709e04be51c8e17">SignInDialog::sendSignInProcessIsComplete</a></div><div class="ttdeci">void sendSignInProcessIsComplete()</div></div>
<div class="ttc" id="class_sign_in_dialog_html_ad9c9146cbedecab272b306e4a36c28b4"><div class="ttname"><a href="class_sign_in_dialog.html#ad9c9146cbedecab272b306e4a36c28b4">SignInDialog::signIn</a></div><div class="ttdeci">void signIn()</div><div class="ttdef"><b>Definition:</b> SignInDialog.cpp:32</div></div>
<div class="ttc" id="class_sign_in_dialog_html_aaf0256ac655e075b5cbe6b206b00500c"><div class="ttname"><a href="class_sign_in_dialog.html#aaf0256ac655e075b5cbe6b206b00500c">SignInDialog::SignInDialog</a></div><div class="ttdeci">SignInDialog(QDialog *parent=0)</div><div class="ttdef"><b>Definition:</b> SignInDialog.cpp:24</div></div>
<div class="ttc" id="class_sign_in_dialog_html_a8bda7f67a50360ffa94b38b0fda0f322"><div class="ttname"><a href="class_sign_in_dialog.html#a8bda7f67a50360ffa94b38b0fda0f322">SignInDialog::show</a></div><div class="ttdeci">void show()</div><div class="ttdef"><b>Definition:</b> SignInDialog.cpp:69</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_11bc0974ce736ce9a6fadebbeb7a8314.html">gui</a></li><li class="navelem"><a class="el" href="dir_14719b40b25530ee4da48b51ded8319c.html">dialogs</a></li><li class="navelem"><a class="el" href="dir_5281c5bdb61acb986f3fd325b63a6709.html">SignInDialog</a></li><li class="navelem"><b>SignInDialog.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
